org.wildfly.swarm.config.elytron

## Class ConstantPermissionMapper<T extends ConstantPermissionMapper<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.ConstantPermissionMapper<T>

-     public class ConstantPermissionMapper<T extends ConstantPermissionMapper<T>>
      extends Object

  Definition of a permission mapper that always returns the same constant.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstantPermissionMapper(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `T` | `permission(Map value)` The permissions to assign.
    `List<Map>` | `permissions()` The permissions to assign.
    `T` | `permissions(List<Map> value)` The permissions to assign.
    `T` | `permissions(Map... args)` The permissions to assign.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstantPermissionMapper

          public ConstantPermissionMapper(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### permissions

          public List<Map> permissions()

      The permissions to assign.

    - #### permissions

          public T permissions(List<Map> value)

      The permissions to assign.

    - #### permission

          public T permission(Map value)

      The permissions to assign.

    - #### permissions

          public T permissions(Map... args)

      The permissions to assign.

Copyright © 2017 JBoss by Red Hat. All rights reserved.